<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
const props = defineProps<{
    icon: string,
    label: string,
    noHover?: boolean,
    color?: string
}>();
const emits = defineEmits<{
    (e: 'click'):void
}>();
const handleClick = ()=>{
    emits('click');
}
</script>
<template>
<button class="flex flex-row cursor-pointer gap-2 p-1 rounded-md focus:outline-1" :class="[{'hover:bg-gray-100': !noHover}]" @click="handleClick">
    <i :class="[`ri-${icon}-line`,color]"></i>
    <span class="text-gray-500">{{ label }}</span>
</button    >
</template>